Bug 1297230 - tc filter show does not display defined filters (specifically redirect filter for ingress)
tc filter show does not display defined filters (specifically redirect filter...
Status: NEW
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Phil Sutter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 16:56 EST by an0nym
Modified: 2018-06-21 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:55:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description an0nym 2016-01-10 16:56:25 EST
Description of problem:
tc filter show does not display defined filters (specifically redirect filter for ingress)

Version-Release number of selected component (if applicable):
iproute.x86_64                       4.1.1-3.fc23                       @updates

How reproducible:
always

Steps to Reproduce:
1. create ifb interface, add ingress qdisc to physical interface and filter all ingress traffic to the ifb interface
ip link add ifb_eth0 type ifb
ip link set ifb_eth0 up
tc qdisc add dev eth0 ingress
tc filter add dev eth0 parent ffff: protocol ip u32 match u32 0 0 action mirred egress redirect dev ifb_eth0

2. let some traffic through; notice the stats on ifb_eth0 started to increase right after adding the filter
tc -stats qdisc show dev ifb_eth0

3. show the filters 
tc filter show eth0

Actual results:
adding filter succeeds, stats increase but tc filter show displays no filters

Expected results:
tc filter show should display the filter

Additional info:
Comment 1 an0nym 2016-01-10 17:07:06 EST
It turned out tc filter show dev eth0 *root* shows the filters. 
This is quite misleading as tc filter show dev eth0 gives no errors and throughout the internet in most howtos root is not mentioned.
Comment 2 Phil Sutter 2016-01-25 11:13:17 EST
Hi,

This behaviour is consistent with upstream at least. I personally specify 'parent ffff:' when listing ingress filters, which will show only filters attached to that and not also those attached to the root.

Still, the syntax for listing filters should probably get a review as things are unconsistent with listing e.g. qdiscs.

Cheers, Phil
Comment 3 Fedora End Of Life 2016-11-24 09:49:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Phil Sutter 2016-11-24 14:43:13 EST
Changing to rawhide - this is upstream work and there is no due date.
Comment 5 Fedora End Of Life 2017-02-28 04:52:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 6 Fedora End Of Life 2018-05-03 04:12:58 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2018-05-29 07:55:32 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.